Block info for multiple UTXO ids
post
/blocks/utxoIdsGet confirmed pool-block metadata for the requested UTXO ids from the current usable synchronization view. The whole request returns 404 if any id is unavailable.
Request body
string[] · application/jsonstring[]
Responses
200Pool blocks corresponding to ids providedPoolBlock[]▶
utxoIdstringrequiredUTXO id of Lithos contract currently processing this block
blockIdstringrequiredHeader id associated with this block
blockHeightinteger · int32requiredHeight of this Lithos-mined block
numMinersinteger · int32requiredNumber of miners which are currently being processed by this Lithos pool contract
phasestringrequiredCurrent LFSM phase of the associated Lithos contract
404Not all ids correspond to an existing pool blockApiError▶
errorintegerrequiredError code
reasonstringrequiredError message explaining the reason of the error
detailstringrequirednullableDetailed error description
defaultErrorApiError▶
errorintegerrequiredError code
reasonstringrequiredError message explaining the reason of the error
detailstringrequirednullableDetailed error description